---
title: "Returns a single use URL to access a class"
slug: "returns-a-single-use-url-to-access-a-class-1"
updated: 2025-08-07T14:39:28Z
published: 2025-08-07T14:41:42Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://docs.skillable.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Returns a single use URL to access a class

Get/ClassAccessUrl

The **ClassAccessUrl** command returns a single use URL to access the class management page.

SecurityAPI Key: api_keyHeader parameter nameapi_key

All methods require an API key, which must be obtained from Skillable. This key is used by Skillable to validate your account. The key can be passed as an HTTP request header with the header name "api_key".

Query parametersidstringRequired

The unique identifier of the class, as represented in your organization.

Example4449999

Responses200

OK Response.

<select class='api-response-data' aria-label='Media type'><option value='d8475564-95ae-421a-93b5-2c297864f2df'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='229ba8f6-633e-4685-adf3-8e39900f924a'>Example of a successful response with a valid class</option>
<option value='7ff66a8e-346d-437f-ad6c-f649d2df2683'>Example of an error response when class is not found</option>
</select>Example of a successful response with a valid class

```json
{
  "Url": "https://labondemand.com/class/access/ab1c2345-6d7b-890e-f1gh-234ij5kl6m7n",
  "Error": null,
  "Status": 1
}
```

Example of an error response when class is not found

```json
{
  "Error": "Class not found",
  "Status": 0
}
```

object  Urlstring    

The single use URL to access the class management page.

Min length1
Errorstring   | null  

In the event of an error, this will contain a detailed error message.

Statusinteger    

Indicates the status of the API request. 0 = Error 1 = Success
